edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.struct

## Class ContextVector.Frequency

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.textsegmenter.struct.ContextVector.Frequency

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable
  Enclosing class:
    ContextVector

      protected static class ContextVector.Frequency
      extends java.lang.Object
      implements java.io.Externalizable

  Holds an externalizable frequency (count).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` The frequency value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextVector.Frequency()` Create Frequency object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readExternal(java.io.ObjectInput in)` Read Frequency from object input.
    `void` | `writeExternal(java.io.ObjectOutput out)` Write Frequency to object output.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public int count

      The frequency value.

  - ### Constructor Detail

    - #### ContextVector.Frequency

          public ContextVector.Frequency()

      Create Frequency object.

  - ### Method Detail

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Write Frequency to object output.
      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException

      Read Frequency from object input.
      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`